<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmFileType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmFileType Enumeration

Visual Basic
C#
C++/CLI
Types of SOLIDWORKS PDM Professional file; used in calls to IEdmFile8::FileType.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmFileType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmFileType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmFileType : public System.Enum

# Members

Member | Description
--- | ---
Edmft_CutListItem | 5 = SOLIDWORKS cut list item
Edmft_InternalComponent | 2 = A SOLIDWORKS internal part or assembly
Edmft_Item | 4 = IEdmItem
Edmft_Normal | 1 = File system file
Edmft_Nothing | 0 = Error

# See Also

####

EPDM.Interop.epdm Namespace